Subject: Re: Xfree86-4.0.1, Lombard, Mach64 driver, X-server Crash

From: "Jon Erick Ween" <[email-masked]>
Date: Wed, 27 Sep 2000 12:13:12 -0700

Here's a copy of my XF86Config file.

Two other minor nuisances:

Since using yaboot, my console cursor has disappeared. Is this an OF or a
yaboot problem? It's very hard to navigate in vi to edit anything (.config
files for one thing) without a cursor!

Also, I can't figure out how to uninstall BootX. Throwing it away under
MacOS doesn't seem to help.

Any suggestions?

Thanks

Jon

> From: Michael Schmitz <[email-masked]>
> Date: Wed, 27 Sep 2000 20:17:02 +0200 (CEST)
> To: Olaf Hering <[email-masked]>
> Cc: Jon Erick Ween <[email-masked]> , [email-masked]
> Subject: Re: Xfree86-4.0.1, Lombard, Mach64 driver, X-server Crash
>
>>> OK, I've switched from BootX to Yboot using a stable 2.2.17 kernel and the
>>> most recent XF86-4.0.1 and ati driver sources I can find. I seem to get
>>> different PCI assignments to the ATI chip on boot-up (looking at dmesg
>>> compared with using BootX) but the X-server still doesn't detect the chip
>>> with "startx" or "XFree86" and exits with a "device not found" and "no
>>> screens" error. Any further suggestions?
>>
>> There is a Modes line in the screen section, use a generic mode.
>> Don't specify a Modes section.
>
> It's probably just some error in the device section (the server doesn't
> complain about 'no valid modes found' but 'no device found'.
>
> Need to see your XF86Config's device section.
>
> Michael
>